﻿Public Class frmMsgBox
    Dim isDataSaved As Boolean = False
    Private Sub btnBasicButton_Click(sender As Object, e As EventArgs) Handles btnBasicButton.Click
        Dim wkButton As DialogResult =
        MessageBox.Show("Here is the question",
                        "Msg Box Question",
                        MessageBoxButtons.YesNoCancel,
                        MessageBoxIcon.Question,
                        MessageBoxDefaultButton.Button2)  'Means No is the default
        If wkButton = DialogResult.Yes Then
            txtMsg.text = "Yes"
        Else
            If wkButton = Windows.Forms.DialogResult.No Then
                txtMsg.Text = "No"
            Else
                If wkButton = Windows.Forms.DialogResult.Cancel Then
                    txtMsg.Text = "Cancel"
                Else
                    txtMsg.Text = "Problem"
                End If
            End If
        End If
    End Sub


    Private Sub frmMsgBox_FormClosing(sender As Object, e As FormClosingEventArgs) Handles Me.FormClosing
        'To get this I want under frmMsgBox Events which is in the header of this area on the left side
        'Note that isDataSaved is a class variable set up at the top
        If isDataSaved = False Then
            Dim wkMsg As String = "Data is not saved! " & vbCrLf &
                                  "Do you want to save it(Yes/No)?" & vbCrLf &
                                  "Or return to the form(Cancel)?"
            Dim button As DialogResult =
                MessageBox.Show(wkMsg, "Customer",
                MessageBoxButtons.YesNoCancel, MessageBoxIcon.Warning)
            If button = Windows.Forms.DialogResult.Yes Then
                isDataSaved = True
                'code a routine to save the data
                MessageBox.Show("Data is saved.")
            ElseIf button = Windows.Forms.DialogResult.Cancel Then
                e.Cancel = True
            End If
        End If
    End Sub

    Private Sub btnExit_Click(sender As Object, e As EventArgs) Handles btnExit.Click
        Me.Close()
    End Sub

    Private Sub btnSetSave_Click(sender As Object, e As EventArgs) Handles btnSetSave.Click
        isDataSaved = True
    End Sub
End Class
